3 Replies Latest reply on Aug 18, 2013 1:10 PM by gonzo1944

    gonzo1944

    gonzo1944

      I HAVE PHOTOSHOP 6.0 AND WOULD LIKE TO KNOW WHAT THE NEXT VERSION THAT I CAN USE ON MY POWERMAC G5 WITH LEOPARD 10.5.8 IS?